#ifndef _FrustumCullingManager_H__
#define _FrustumCullingManager_H__

#include "CullingManager.h"

namespace GtpVisibility {

/** Renders the scene, applies only view frustum culling. 
*/

class FrustumCullingManager : public CullingManager
{
public:
	FrustumCullingManager(HierarchyInterface *hierarchyInterface);
	void RenderScene();
};
} // namespace GtpVisibility
#endif // FrustumCullingManager_H
